org.codehaus.plexus.lifecycle

## Class DefaultLifecycleHandlerManager

- java.lang.Object
- - org.codehaus.plexus.lifecycle.DefaultLifecycleHandlerManager

All Implemented Interfaces:
  LifecycleHandlerManager

    public class DefaultLifecycleHandlerManager
    extends Object
    implements LifecycleHandlerManager

Version:
  $Id: DefaultLifecycleHandlerManager.java 1750 2005-04-19 07:45:02Z brett $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DefaultLifecycleHandlerManager()`

### Method Summary

Methods
`LifecycleHandler` `getDefaultLifecycleHandler()`
`LifecycleHandler` `getLifecycleHandler(String id)`
`void` `initialize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLifecycleHandlerManager

    public DefaultLifecycleHandlerManager()

### Method Detail

#### initialize

    public void initialize()

Specified by:
  `initialize` in interface `LifecycleHandlerManager`

#### getLifecycleHandler

    public LifecycleHandler getLifecycleHandler(String id)
                                         throws UndefinedLifecycleHandlerException

Specified by:
  `getLifecycleHandler` in interface `LifecycleHandlerManager`
Throws:
  `UndefinedLifecycleHandlerException`

#### getDefaultLifecycleHandler

    public LifecycleHandler getDefaultLifecycleHandler()
                                                throws UndefinedLifecycleHandlerException

Specified by:
  `getDefaultLifecycleHandler` in interface `LifecycleHandlerManager`
Throws:
  `UndefinedLifecycleHandlerException`